package pay_recharge

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/pay_recharge"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /pay_recharge/list pay_recharge GetPayRechargeList
//
// Get pay recharge list | 获取PayRecharge列表
//
// Get pay recharge list | 获取PayRecharge列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: PayRechargeListReq
//
// Responses:
//  200: PayRechargeListResp

func GetPayRechargeListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PayRechargeListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := pay_recharge.NewGetPayRechargeListLogic(r.Context(), svcCtx)
		resp, err := l.GetPayRechargeList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
